## NAME

r.out.arc - Converts a raster map layer into an ESRI ARCGRID file.

## SYNOPSIS

r.out.arc
r.out.arc help
r.out.arc [-h1] input=string output=string [dp=integer]

### Flags:

-h
  Suppress printing of header information
-1
  List one entry per line instead of full row

### Parameters:

input=string
  Name of an existing raster map layer
output=string
  Name of an output ARC-GID map (use out=- for stdout)
dp=integer
  Number of decimal places
  Default: 6

## DESCRIPTION

r.out.arc converts a user-specified raster map layer (input=name) into an ESRI ARC-GRID ascii file (output=name) suitable for export to other computer systems. The dp=value option (where value is a number of the user's choice) can be used to request that numbers after decimal points are limited. However, to use this, the user should know the maximum number of digits that will occur in the output file. The user can find the maximum number of digits occurring in the output file by running r.out.arc without the dp=value option.

The GRASS program r.in.arc can be used to perform the reverse function, converting an ESRI ARC-GRID ascii file in suitable format to GRASS raster file format. The order of cell values in file is from lower left to upper right (reverse to GRASS).

## NOTES

The output from r.out.arc may also be placed into a file by using the UNIX redirection mechanism; e.g.:

  r.out.arc input=soils output=- > out.grd

The output file out.grd can then be copied onto a CDROM or floppy disk for export purposes.

An Arc ASCII grid can be loaded into ArcGIS 8.3 though ArcToolbox.
Use the "Import to Raster" -> "ASCII to Grid" tool to create a binary grid which can be selected using ArcCatalog. The spatial analyst extension may need to be installed and activated within Arc.

In ArcGIS 9.0 the import tool can be found at:
ArcMap -> Toolbox -> Conversion Tools -> To Raster -> ASCII to Raster

A GeoTIFF created with r.out.gdal is sometimes a better solution for transferring raster maps to other GIS software.

## SEE ALSO

r.in.arc
r.out.gdal

## AUTHOR

Markus Neteler, University of Hannover, Germany,
based on r.out.ascii written by
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2005/01/31 03:47:31 $

Help Index